# DBBinary Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Container for passing binary values into OSQL queries. More...

Inheritance diagram for DBBinary:
[legend]

List of all members.

## Public Member Functions

| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ($value)

## Detailed Description

Container for passing binary values into OSQL queries.

Definition at line 18 of file DBBinary.class.php.

## Member Function Documentation

static DBBinary::create | ( | $ | value | ) | `[static]`

Returns:
  DBBinary

Reimplemented from DBValue.

Definition at line 23 of file DBBinary.class.php.

References DBValue::$value.

DBBinary::toDialectString | ( | Dialect $ | dialect | ) |

Reimplemented from DBValue.

Definition at line 28 of file DBBinary.class.php.

References DBValue::getValue().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/OSQL/DBBinary.class.php